Package com.xebialabs.xlrelease.events

# Class ReleaseVariablesUpdateOperation

java.lang.Object
com.xebialabs.xlrelease.events.ReleaseVariablesUpdateOperation

All Implemented Interfaces:
  `VariableUpdateOperation`, `XLReleaseOperation`, `Serializable`, `scala.Equals`, `scala.Product`

public class ReleaseVariablesUpdateOperation extends Object implements VariableUpdateOperation, scala.Product, Serializable

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReleaseVariablesUpdateOperation(List<Variable> original, List<Variable> updated, boolean logDelete)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `scala.runtime.Null$`
  `action()`
  `static ReleaseVariablesUpdateOperation`
  `apply(List<Variable> original, List<Variable> updated, boolean logDelete)`
  `boolean`
  `canEqual(Object x$1)`
  `ReleaseVariablesUpdateOperation`
  `copy(List<Variable> original, List<Variable> updated, boolean logDelete)`
  `List<Variable>`
  `copy$default$1()`
  `List<Variable>`
  `copy$default$2()`
  `boolean`
  `copy$default$3()`
  `boolean`
  `equals(Object x$1)`
  `ReleaseVariablesUpdatedEvent`
  `event()`
  `int`
  `hashCode()`
  `boolean`
  `logDelete()`
  `List<Variable>`
  `original()`
  `int`
  `productArity()`
  `Object`
  `productElement(int x$1)`
  `String`
  `productElementName(int x$1)`
  `scala.collection.Iterator<Object>`
  `productIterator()`
  `String`
  `productPrefix()`
  `String`
  `toString()`
  `static scala.Option<scala.Tuple3<List<Variable>,List<Variable>,Object>>`
  `unapply(ReleaseVariablesUpdateOperation x$0)`
  `List<Variable>`
  `updated()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface scala.Product

  `productElementNames`

- ## Constructor Details

  - ### ReleaseVariablesUpdateOperation

    public ReleaseVariablesUpdateOperation(List<Variable> original, List<Variable> updated, boolean logDelete)

- ## Method Details

  - ### apply

    public static ReleaseVariablesUpdateOperation apply(List<Variable> original, List<Variable> updated, boolean logDelete)

  - ### unapply

    public static scala.Option<scala.Tuple3<List<Variable>,List<Variable>,Object>> unapply(ReleaseVariablesUpdateOperation x$0)

  - ### original

    public List<Variable> original()

  - ### updated

    public List<Variable> updated()

  - ### logDelete

    public boolean logDelete()

  - ### action

    public scala.runtime.Null$ action()
    Specified by:
      `action` in interface `XLReleaseOperation`

  - ### event

    public ReleaseVariablesUpdatedEvent event()
    Specified by:
      `event` in interface `XLReleaseOperation`

  - ### copy

    public ReleaseVariablesUpdateOperation copy(List<Variable> original, List<Variable> updated, boolean logDelete)

  - ### copy$default$1

    public List<Variable> copy$default$1()

  - ### copy$default$2

    public List<Variable> copy$default$2()

  - ### copy$default$3

    public boolean copy$default$3()

  - ### productPrefix

    public String productPrefix()
    Specified by:
      `productPrefix` in interface `scala.Product`

  - ### productArity

    public int productArity()
    Specified by:
      `productArity` in interface `scala.Product`

  - ### productElement

    public Object productElement(int x$1)
    Specified by:
      `productElement` in interface `scala.Product`

  - ### productIterator

    public scala.collection.Iterator<Object> productIterator()
    Specified by:
      `productIterator` in interface `scala.Product`

  - ### canEqual

    public boolean canEqual(Object x$1)
    Specified by:
      `canEqual` in interface `scala.Equals`

  - ### productElementName

    public String productElementName(int x$1)
    Specified by:
      `productElementName` in interface `scala.Product`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### equals

    public boolean equals(Object x$1)
    Specified by:
      `equals` in interface `scala.Equals`
    Overrides:
      `equals` in class `Object`